> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all companies

> Returns all companies for current integration



## OpenAPI

````yaml /swagger.json get /Company/List
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Company/List:
    get:
      tags:
        - Company
      summary: List all companies
      description: Returns all companies for current integration
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetCompanyListResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanyListResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetCompanyListResponse'
components:
  schemas:
    GetCompanyListResponse:
      type: object
      properties:
        companies:
          type: array
          items:
            $ref: '#/components/schemas/PartnerCompanyDto'
      additionalProperties: false
    PartnerCompanyDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        referenceId:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````